AboutDownloadsDocumentsForumsWikiIssuesNews
Date:
2015-11-20 19:46
Priority:
3
State:
Open
Submitted by:
Jason Swails (jswails1)
Assigned to:
Nobody (None)
Resolution:
None
Summary:
Some CHARMM parameter files are not read correctly

Detailed description
Here is an example of an exception that may be thrown during the reading of CHARMM topology files, particularly with Python 3:

Traceback (most recent call last):
File "/home/khaos/prog/openmm-6.3/lib/python3.4/site-packages/simtk/openmm/app/charmmparameterset.py", line 522, in readTopologyFile
elem = words[4]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "openmm_run.py", line 33, in <module>
params = read_params(inputs.toppar_path)
File "/panfs/pfs.acf.ku.edu/research/khaos/Test/OpenMM_Error/OpenMM_Python3.4_Error/omm_readparams.py", line 33, in read_params
params = CharmmParameterSet( *parFiles )
File "/home/khaos/prog/openmm-6.3/lib/python3.4/site-packages/simtk/openmm/app/charmmparameterset.py", line 137, in __init__
for top in tops: self.readTopologyFile(top)
File "/home/khaos/prog/openmm-6.3/lib/python3.4/site-packages/simtk/openmm/app/charmmparameterset.py", line 526, in readTopologyFile
masselem = Element.getByMass(mass)
File "/home/khaos/prog/openmm-6.3/lib/python3.4/site-packages/simtk/openmm/app/element.py", line 126, in getByMass
Element._elements_by_mass[elem.mass] = elem
File "/tools/cluster/6.2/python/3.4.2/lib/python3.4/collections/__init__.py", line 63, in __setitem__
if key not in self:
TypeError: unhashable type: 'Quantity'


This is fixed in master, though.

Add A Comment: Notepad

Comments:

No Comments Have Been Posted

Attached Files:

Changes

No Changes Have Been Made to This Item

Feedback